## ros-jazzy-qt-gui-cpp 2.7.4

=== debian/changelog ===
ros-jazzy-qt-gui-cpp (2.7.4-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.7.3-4bookworm) bookworm; urgency=high

  * Switch from rcpputils::fs to std::filesystem (#288 <https://github.com/ros-visualization/qt_gui_core/issues/288>)
  * Set hints to find the python version we actually want. (#287 <https://github.com/ros-visualization/qt_gui_core/issues/287>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.7.2-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.7.1-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.7.0-4bookworm) bookworm; urgency=high

  * Update to C++17 (#278 <https://github.com/ros-visualization/qt_gui_core/issues/278>)
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.6.0-4bookworm) bookworm; urgency=high

  * fix unload warning (#274 <https://github.com/ros-visualization/qt_gui_core/issues/274>)
  * Contributors: Chen Lihui

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.5.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.4.1-4bookworm) bookworm; urgency=high

  * fix shiboken error (#267 <https://github.com/ros-visualization/qt_gui_core/issues/267>)
  * Contributors: Christoph Hellmann Santos, Michael Carroll, Rhys Mainwaring

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.4.0-4bookworm) bookworm; urgency=high

  * Conditionally run import tests when generators are built (#269 <https://github.com/ros-visualization/qt_gui_core/issues/269>)
  * Contributors: Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.3.2-4bookworm) bookworm; urgency=high

  * Add in LICENSE file
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.3.1-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Aug 2022 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.3.0-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 May 2022 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.2.0-4bookworm) bookworm; urgency=high

  * Install headers to include${PROJECT_NAME} (#259 <https://github.com/ros-visualization/qt_gui_core/issues/259>)
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.1.1-4bookworm) bookworm; urgency=high

  * Export targets instead of old-style CMake variables (#257 <https://github.com/ros-visualization/qt_gui_core/issues/257>)
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.1.0-4bookworm) bookworm; urgency=high

  * FindPython3 explicitly instead of FindPythonInterp implicitly (#254 <https://github.com/ros-visualization/qt_gui_core/issues/254>)
  * Contributors: Shane Loretz

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 01 Nov 2021 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.0.1-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 28 Apr 2021 16:00:00 -0000

ros-jazzy-qt-gui-cpp (2.0.0-4bookworm) bookworm; urgency=high

  * Fix duplicated QMap to QMultiMap (#244 <https://github.com/ros-visualization/qt_gui_core/issues/244>)
  * Switch to using the filesystem implementation in rcpputils. (#239 <https://github.com/ros-visualization/qt_gui_core/issues/239>)
  * Contributors: Chris Lalancette, Homalozoa X

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 Jan 2021 16:00:00 -0000

ros-jazzy-qt-gui-cpp (1.1.2-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Sep 2020 16:00:00 -0000

ros-jazzy-qt-gui-cpp (1.1.1-4bookworm) bookworm; urgency=high

  * avoid a warning about C++ plugins on Windows (#232 <https://github.com/ros-visualization/qt_gui_core/issues/232>)
  * qt_gui_cpp_sip: declare private assignment operator for SIP (#226 <https://github.com/ros-visualization/qt_gui_core/issues/226>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 02 Aug 2020 16:00:00 -0000

ros-jazzy-qt-gui-cpp (1.1.0-4bookworm) bookworm; urgency=high

  * Use ament_target_dependencies for qt_gui_cpp. (#221 <https://github.com/ros-visualization/qt_gui_core/issues/221>)
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 16:00:00 -0000

ros-jazzy-qt-gui-cpp (1.0.9-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 25 May 2020 16:00:00 -0000

ros-jazzy-qt-gui-cpp (1.0.8-4bookworm) bookworm; urgency=high

  * quiet upstream Qt5 warnings (#210 <https://github.com/ros-visualization/qt_gui_core/issues/210>)
  * fix project name in log message (#208 <https://github.com/ros-visualization/qt_gui_core/issues/208>)
  * fixed namespace in typesystem.xml (#201 <https://github.com/ros-visualization/qt_gui_core/issues/201>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 May 2020 16:00:00 -0000

ros-jazzy-qt-gui-cpp (1.0.7-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 29 Sep 2019 16:00:00 -0000

ros-jazzy-qt-gui-cpp (1.0.6-4bookworm) bookworm; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 09 Jun 2019 16:00:00 -0000

ros-jazzy-qt-gui-cpp (1.0.4-4bookworm) bookworm; urgency=high


