=== debian/control ===
Source: ros-jazzy-qt-gui-cpp
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), pkg-config, qt5-qmake, qtbase5-dev, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-pytest <!nocheck>, ros-jazzy-pluginlib (>= 1.9.23), ros-jazzy-python-qt-binding (>= 0.3.0), ros-jazzy-tinyxml2-vendor, ros-jazzy-ros-workspace
Homepage: http://ros.org/wiki/qt_gui_cpp
Standards-Version: 3.9.2

Package: ros-jazzy-qt-gui-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-pluginlib (>= 1.9.23), ros-jazzy-qt-gui (>= 0.3.0), ros-jazzy-tinyxml2-vendor, ros-jazzy-ros-workspace
Description: qt_gui_cpp provides the foundation for C++-bindings for qt_gui and creates bindings for every generator available.
 At least one specific binding must be available in order to use C++-plugins.
